> For the complete documentation index, see [llms.txt](https://aliniex.gitbook.io/alix-pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aliniex.gitbook.io/alix-pay/api-reference/on-off-ramp-api/on-ramp/create-on-ramp-order.md).

# Create on-ramp order

This endpoint is used to create an on-ramp order, allowing users to purchase cryptocurrency using fiat currency through available payment methods. The order will be processed based on the selected payment method and amount.

**API end-point**

<mark style="color:green;">`POST`</mark> `/api/v2/on-off-ramp/create-buy-order`

**Headers**

| Name         | Value                                                                                    |    |               |
| ------------ | ---------------------------------------------------------------------------------------- | -- | ------------- |
| Content-Type | `application/json`                                                                       |    |               |
| lang         | <p>The default will en if this param has been empty. </p><p>Supported languages:<code>en | cn | vi</code></p> |

**Request Body**

```json
{
  "partnerCode": "string",
  "externalOrderId": "string",
  "currency": "string",
  "amount": 0,
  "fiatAmount": 50000,
  "network": "string",
  "walletAddress": "string",
  "memo": "string",
  "webhookSecretKey": "string",
  "paymentMethod": "string",
  "refCode": "string",
  "signature": "string"
}
```

<table><thead><tr><th width="248">Name</th><th width="100">Type</th><th width="109">Condition</th><th>Description</th></tr></thead><tbody><tr><td><code>partnerCode</code></td><td>string</td><td>Required</td><td>The code of partner has been provided to you during onboarding.</td></tr><tr><td><p></p><pre class="language-json"><code class="lang-json">externalOrderId
</code></pre></td><td>string</td><td>Required</td><td></td></tr><tr><td><code>currency</code></td><td>string</td><td>Required</td><td></td></tr><tr><td><code>amount</code></td><td>number</td><td>Optional</td><td></td></tr><tr><td>fiatAmount</td><td>number</td><td>Required</td><td></td></tr><tr><td><code>network</code></td><td>string</td><td>Required</td><td></td></tr><tr><td><p></p><pre class="language-json"><code class="lang-json">bankCode
</code></pre></td><td>string</td><td>Required</td><td></td></tr><tr><td><p></p><pre><code><strong>bankAccountNumber
</strong></code></pre></td><td>string</td><td>Required</td><td></td></tr><tr><td><p></p><pre class="language-json"><code class="lang-json">bankAccountName
</code></pre></td><td>string</td><td>Required</td><td></td></tr><tr><td><p></p><pre class="language-json"><code class="lang-json">webhookSecretKey
</code></pre></td><td>string</td><td>Required</td><td></td></tr><tr><td><code>paymentMethod</code></td><td>string</td><td>Required</td><td></td></tr><tr><td><code>fiatCurrency</code></td><td>string</td><td>Optional</td><td>VND is default</td></tr><tr><td><p></p><pre class="language-json"><code class="lang-json">refCode
</code></pre></td><td>string</td><td>Optional</td><td></td></tr><tr><td><p></p><pre class="language-json"><code class="lang-json">requestKycFields
</code></pre></td><td>string</td><td>Optional</td><td></td></tr><tr><td><p></p><pre class="language-json"><code class="lang-json">requestPaymentFields
</code></pre></td><td>string</td><td>Required</td><td></td></tr><tr><td><code>signature</code></td><td>string</td><td>Required</td><td><ul><li>Partner will digitally sign the transmitted data using <strong><code>SHA256</code></strong> with RSA algorithm</li><li>The <strong>public key</strong> that has been provided to you during onboarding.</li><li>Data shall be signed according to the structure <strong>partnerCode|externalOrderId|currency|amount|network|paymentMethod|bankCode|secretKey</strong></li></ul></td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json

  "externalOrderId": "string",
  "type": "string",
  "fiatAmount": 0,
  "paidAmount": 0,
  "tokenTransfer": {
    "currency": "string",
    "network": "string",
    "price": 0,
    "amount": 0,
    "address": "string",
    "txHash": "string",
    "memo": "string"
  },
  "bankTransfer": {
    "bankAccountName": "string",
    "bankAccountNumber": "string",
    "bankName": "string",
    "contentPayment": "string",
    "totalPayment": 0,
    "qrUrl": "string"
  },
  "fees": {
    "systemFee": 0,
    "processingFee": 0
  },
  "status": "string",
  "descriptions": "string",
  "createdAt": "string",
  "expiresAt": "string",
  "signature": "string"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**Signature**&#x20;

* Partner will digitally sign the transmitted data using **`SHA256`** with RSA algorithm
* The **private key** that has been of yours
* Data shall be signed according to the structure **externalOrderId|type|fiatAmount|status|secretKey**
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aliniex.gitbook.io/alix-pay/api-reference/on-off-ramp-api/on-ramp/create-on-ramp-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
